/////////////////////////////////////////////////////////////////////////////////////////
//    Coin Jump: a videogame developed for Amstrad CPC 464.                            //
//    Copyright (C) 2022  Senén Martínez Acame & Sergio Tortajada Santonja             //
//                                                                                     //
//    This program is free software: you can redistribute it and/or modify             //
//    it under the terms of the GNU General Public License as published by             //
//    the Free Software Foundation, either version 3 of the License, or                //
//    (at your option) any later version.                                              //
//                                                                                     //
//    This program is distributed in the hope that it will be useful,                  //
//    but WITHOUT ANY WARRANTY; without even the implied warranty of                   //
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                    //
//    GNU General Public License for more details.                                     //
//                                                                                     //
//    You should have received a copy of the GNU General Public License                //
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.            //
//                                                                                     //
//    Coin Jump  Copyright (C) 2022  Senén Martínez Acame & Sergio Tortajada Santonja  //
//                                                                                     //
//    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.       //
//    This is free software, and you are welcome to redistribute it                    //
//    under certain conditions; type `show c' for details.                             //
/////////////////////////////////////////////////////////////////////////////////////////

#include "Animacion_player.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2017
// Tile sp_player_0: 8x8 pixels, 4x8 bytes.
const u8 sp_player_0[4 * 8] = {
	0x00, 0xc0, 0xc0, 0x00,
	0x40, 0x03, 0x03, 0x80,
	0x40, 0x47, 0x89, 0x80,
	0x40, 0x47, 0x89, 0x80,
	0x40, 0x03, 0x03, 0x80,
	0x81, 0x03, 0x03, 0x42,
	0x81, 0x03, 0x03, 0x42,
	0x81, 0x42, 0x81, 0x42
};

// Tile sp_player_1: 8x8 pixels, 4x8 bytes.
const u8 sp_player_1[4 * 8] = {
	0x00, 0xc0, 0xc0, 0x00,
	0x40, 0x03, 0x03, 0x80,
	0x40, 0x47, 0x89, 0x80,
	0x40, 0x47, 0x89, 0x80,
	0x40, 0x03, 0x03, 0x80,
	0x81, 0x03, 0x03, 0x42,
	0x81, 0x42, 0x81, 0x42,
	0x81, 0x42, 0x40, 0x80
};

// Tile sp_player_2: 8x8 pixels, 4x8 bytes.
const u8 sp_player_2[4 * 8] = {
	0x00, 0xc0, 0xc0, 0x00,
	0x40, 0x03, 0x03, 0x80,
	0x40, 0x47, 0x89, 0x80,
	0x40, 0x47, 0x89, 0x80,
	0x40, 0x03, 0x03, 0x80,
	0x81, 0x03, 0x81, 0x42,
	0x81, 0x42, 0x40, 0x80,
	0x81, 0x42, 0x00, 0x00
};

// Tile sp_player_3: 8x8 pixels, 4x8 bytes.
const u8 sp_player_3[4 * 8] = {
	0x00, 0xc0, 0xc0, 0x00,
	0x40, 0x03, 0x03, 0x80,
	0x40, 0x47, 0x89, 0x80,
	0x40, 0x47, 0x89, 0x80,
	0x40, 0x03, 0x03, 0x80,
	0x81, 0x03, 0x03, 0x42,
	0x81, 0x42, 0x81, 0x42,
	0x40, 0x80, 0x81, 0x42
};

// Tile sp_player_4: 8x8 pixels, 4x8 bytes.
const u8 sp_player_4[4 * 8] = {
	0x00, 0xc0, 0xc0, 0x00,
	0x40, 0x03, 0x03, 0x80,
	0x40, 0x47, 0x89, 0x80,
	0x40, 0x47, 0x89, 0x80,
	0x40, 0x03, 0x03, 0x80,
	0x81, 0x42, 0x03, 0x42,
	0x40, 0x80, 0x81, 0x42,
	0x00, 0x00, 0x81, 0x42
};

// Tile sp_player_5: 8x8 pixels, 4x8 bytes.
const u8 sp_player_5[4 * 8] = {
	0x00, 0xc0, 0xc0, 0x00,
	0x40, 0x03, 0x03, 0x80,
	0x40, 0x47, 0x89, 0x80,
	0x40, 0x47, 0x89, 0x80,
	0x40, 0x03, 0x03, 0x80,
	0x81, 0x03, 0x03, 0x42,
	0x81, 0x42, 0x81, 0x42,
	0x40, 0x80, 0x40, 0x80
};

// Tile sp_player_6: 8x8 pixels, 4x8 bytes.
const u8 sp_player_6[4 * 8] = {
	0x00, 0x00, 0x00, 0x00,
	0x00, 0xc0, 0xc0, 0x00,
	0x40, 0x03, 0x03, 0x80,
	0x40, 0x47, 0x89, 0x80,
	0x40, 0x03, 0x03, 0x80,
	0x81, 0x42, 0x81, 0x42,
	0x40, 0x80, 0x40, 0x80,
	0x00, 0x00, 0x00, 0x00
};

