/////////////////////////////////////////////////////////////////////////////////////////
//    Coin Jump: a videogame developed for Amstrad CPC 464.                            //
//    Copyright (C) 2022  Senén Martínez Acame & Sergio Tortajada Santonja             //
//                                                                                     //
//    This program is free software: you can redistribute it and/or modify             //
//    it under the terms of the GNU General Public License as published by             //
//    the Free Software Foundation, either version 3 of the License, or                //
//    (at your option) any later version.                                              //
//                                                                                     //
//    This program is distributed in the hope that it will be useful,                  //
//    but WITHOUT ANY WARRANTY; without even the implied warranty of                   //
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                    //
//    GNU General Public License for more details.                                     //
//                                                                                     //
//    You should have received a copy of the GNU General Public License                //
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.            //
//                                                                                     //
//    Coin Jump  Copyright (C) 2022  Senén Martínez Acame & Sergio Tortajada Santonja  //
//                                                                                     //
//    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.       //
//    This is free software, and you are welcome to redistribute it                    //
//    under certain conditions; type `show c' for details.                             //
/////////////////////////////////////////////////////////////////////////////////////////

#include "Tiles_suelo8x8.h"
// Data created with Img2CPC - (c) Retroworks - 2007-2017
// Tile tiles_00: 8x8 pixels, 4x8 bytes.
const u8 tiles_00[4 * 8] = {
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00
};

// Tile tiles_01: 8x8 pixels, 4x8 bytes.
const u8 tiles_01[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_02: 8x8 pixels, 4x8 bytes.
const u8 tiles_02[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xd0, 0xe0,
	0xe0, 0xc0, 0xc0, 0xf0,
	0xf0, 0xd0, 0xc0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xd0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xc0, 0xd0,
	0xf0, 0xc0, 0xc0, 0xe0
};

// Tile tiles_03: 8x8 pixels, 4x8 bytes.
const u8 tiles_03[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0xf0,
	0xda, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xe5, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_04: 8x8 pixels, 4x8 bytes.
const u8 tiles_04[4 * 8] = {
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c
};

// Tile tiles_05: 8x8 pixels, 4x8 bytes.
const u8 tiles_05[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0
};

// Tile tiles_06: 8x8 pixels, 4x8 bytes.
const u8 tiles_06[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_07: 8x8 pixels, 4x8 bytes.
const u8 tiles_07[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_08: 8x8 pixels, 4x8 bytes.
const u8 tiles_08[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c
};

// Tile tiles_09: 8x8 pixels, 4x8 bytes.
const u8 tiles_09[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0
};

// Tile tiles_10: 8x8 pixels, 4x8 bytes.
const u8 tiles_10[4 * 8] = {
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_11: 8x8 pixels, 4x8 bytes.
const u8 tiles_11[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_12: 8x8 pixels, 4x8 bytes.
const u8 tiles_12[4 * 8] = {
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c
};

// Tile tiles_13: 8x8 pixels, 4x8 bytes.
const u8 tiles_13[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c
};

// Tile tiles_14: 8x8 pixels, 4x8 bytes.
const u8 tiles_14[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_15: 8x8 pixels, 4x8 bytes.
const u8 tiles_15[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_16: 8x8 pixels, 4x8 bytes.
const u8 tiles_16[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_17: 8x8 pixels, 4x8 bytes.
const u8 tiles_17[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_18: 8x8 pixels, 4x8 bytes.
const u8 tiles_18[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_19: 8x8 pixels, 4x8 bytes.
const u8 tiles_19[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_20: 8x8 pixels, 4x8 bytes.
const u8 tiles_20[4 * 8] = {
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c
};

// Tile tiles_21: 8x8 pixels, 4x8 bytes.
const u8 tiles_21[4 * 8] = {
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0
};

// Tile tiles_22: 8x8 pixels, 4x8 bytes.
const u8 tiles_22[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0
};

// Tile tiles_23: 8x8 pixels, 4x8 bytes.
const u8 tiles_23[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_24: 8x8 pixels, 4x8 bytes.
const u8 tiles_24[4 * 8] = {
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0
};

// Tile tiles_25: 8x8 pixels, 4x8 bytes.
const u8 tiles_25[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0
};

// Tile tiles_26: 8x8 pixels, 4x8 bytes.
const u8 tiles_26[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c
};

// Tile tiles_27: 8x8 pixels, 4x8 bytes.
const u8 tiles_27[4 * 8] = {
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c
};

// Tile tiles_28: 8x8 pixels, 4x8 bytes.
const u8 tiles_28[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c
};

// Tile tiles_29: 8x8 pixels, 4x8 bytes.
const u8 tiles_29[4 * 8] = {
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c
};

// Tile tiles_30: 8x8 pixels, 4x8 bytes.
const u8 tiles_30[4 * 8] = {
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_31: 8x8 pixels, 4x8 bytes.
const u8 tiles_31[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_32: 8x8 pixels, 4x8 bytes.
const u8 tiles_32[4 * 8] = {
	0x0c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c
};

// Tile tiles_33: 8x8 pixels, 4x8 bytes.
const u8 tiles_33[4 * 8] = {
	0xcc, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xcc
};

// Tile tiles_34: 8x8 pixels, 4x8 bytes.
const u8 tiles_34[4 * 8] = {
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc
};

// Tile tiles_35: 8x8 pixels, 4x8 bytes.
const u8 tiles_35[4 * 8] = {
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f
};

// Tile tiles_36: 8x8 pixels, 4x8 bytes.
const u8 tiles_36[4 * 8] = {
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0
};

// Tile tiles_37: 8x8 pixels, 4x8 bytes.
const u8 tiles_37[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0
};

// Tile tiles_38: 8x8 pixels, 4x8 bytes.
const u8 tiles_38[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c
};

// Tile tiles_39: 8x8 pixels, 4x8 bytes.
const u8 tiles_39[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_40: 8x8 pixels, 4x8 bytes.
const u8 tiles_40[4 * 8] = {
	0x0c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c,
	0xa4, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0xa4,
	0xf0, 0xf0, 0x0c, 0x0c,
	0x0c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xa4, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0xf0
};

// Tile tiles_41: 8x8 pixels, 4x8 bytes.
const u8 tiles_41[4 * 8] = {
	0xcc, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xcc,
	0xe4, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xe4,
	0xf0, 0xf0, 0xcc, 0xcc,
	0xcc, 0xf0, 0xf0, 0xf0,
	0xf0, 0xe4, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xf0
};

// Tile tiles_42: 8x8 pixels, 4x8 bytes.
const u8 tiles_42[4 * 8] = {
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xf4, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xf4,
	0xf0, 0xf0, 0xfc, 0xfc,
	0xfc, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf4, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xf0
};

// Tile tiles_43: 8x8 pixels, 4x8 bytes.
const u8 tiles_43[4 * 8] = {
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f,
	0xa5, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0xa5,
	0xf0, 0xf0, 0x0f, 0x0f,
	0x0f, 0xf0, 0xf0, 0xf0,
	0xf0, 0xa5, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0xf0
};

// Tile tiles_44: 8x8 pixels, 4x8 bytes.
const u8 tiles_44[4 * 8] = {
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_45: 8x8 pixels, 4x8 bytes.
const u8 tiles_45[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_46: 8x8 pixels, 4x8 bytes.
const u8 tiles_46[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_47: 8x8 pixels, 4x8 bytes.
const u8 tiles_47[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_48: 8x8 pixels, 4x8 bytes.
const u8 tiles_48[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0x0c,
	0x0c, 0x0c, 0xf0, 0xf0,
	0xf0, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0xa4, 0xf0,
	0x0c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c,
	0xa4, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0xa4
};

// Tile tiles_49: 8x8 pixels, 4x8 bytes.
const u8 tiles_49[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0xcc,
	0xcc, 0xcc, 0xf0, 0xf0,
	0xf0, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xe4, 0xf0,
	0xcc, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xcc,
	0xe4, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xe4
};

// Tile tiles_50: 8x8 pixels, 4x8 bytes.
const u8 tiles_50[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0xfc,
	0xfc, 0xfc, 0xf0, 0xf0,
	0xf0, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xf4, 0xf0,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xf4, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xf4
};

// Tile tiles_51: 8x8 pixels, 4x8 bytes.
const u8 tiles_51[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0x0f,
	0x0f, 0x0f, 0xf0, 0xf0,
	0xf0, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0xa5, 0xf0,
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f,
	0xa5, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0xa5
};

// Tile tiles_52: 8x8 pixels, 4x8 bytes.
const u8 tiles_52[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c
};

// Tile tiles_53: 8x8 pixels, 4x8 bytes.
const u8 tiles_53[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c
};

// Tile tiles_54: 8x8 pixels, 4x8 bytes.
const u8 tiles_54[4 * 8] = {
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_55: 8x8 pixels, 4x8 bytes.
const u8 tiles_55[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_56: 8x8 pixels, 4x8 bytes.
const u8 tiles_56[4 * 8] = {
	0x0c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x58,
	0x58, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x0c,
	0x0c, 0x0c, 0x58, 0xf0,
	0xf0, 0x0c, 0x0c, 0x0c
};

// Tile tiles_57: 8x8 pixels, 4x8 bytes.
const u8 tiles_57[4 * 8] = {
	0xcc, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xd8,
	0xd8, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xcc,
	0xcc, 0xcc, 0xd8, 0xf0,
	0xf0, 0xcc, 0xcc, 0xcc
};

// Tile tiles_58: 8x8 pixels, 4x8 bytes.
const u8 tiles_58[4 * 8] = {
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xf8,
	0xf8, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xfc,
	0xfc, 0xfc, 0xf8, 0xf0,
	0xf0, 0xfc, 0xfc, 0xfc
};

// Tile tiles_59: 8x8 pixels, 4x8 bytes.
const u8 tiles_59[4 * 8] = {
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x5a,
	0x5a, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x0f,
	0x0f, 0x0f, 0x5a, 0xf0,
	0xf0, 0x0f, 0x0f, 0x0f
};

// Tile tiles_60: 8x8 pixels, 4x8 bytes.
const u8 tiles_60[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x5a,
	0x0f, 0x5a, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x0f,
	0x0f, 0x0f, 0x0f, 0xf0,
	0x5a, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x5a, 0xf0,
	0xf0, 0xf0, 0x0f, 0x0f
};

// Tile tiles_61: 8x8 pixels, 4x8 bytes.
const u8 tiles_61[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_62: 8x8 pixels, 4x8 bytes.
const u8 tiles_62[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c
};

// Tile tiles_63: 8x8 pixels, 4x8 bytes.
const u8 tiles_63[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_64: 8x8 pixels, 4x8 bytes.
const u8 tiles_64[4 * 8] = {
	0x0c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0xf0,
	0xf0, 0x58, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x0c,
	0x0c, 0x0c, 0x0c, 0x58,
	0x58, 0x0c, 0x0c, 0x0c
};

// Tile tiles_65: 8x8 pixels, 4x8 bytes.
const u8 tiles_65[4 * 8] = {
	0xcc, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xf0,
	0xf0, 0xd8, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xcc,
	0xcc, 0xcc, 0xcc, 0xd8,
	0xd8, 0xcc, 0xcc, 0xcc
};

// Tile tiles_66: 8x8 pixels, 4x8 bytes.
const u8 tiles_66[4 * 8] = {
	0xfc, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xf0,
	0xf0, 0xf8, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xf8,
	0xf8, 0xfc, 0xfc, 0xfc
};

// Tile tiles_67: 8x8 pixels, 4x8 bytes.
const u8 tiles_67[4 * 8] = {
	0x0f, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0xf0,
	0xf0, 0x5a, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x5a,
	0x5a, 0x0f, 0x0f, 0x0f
};

// Tile tiles_68: 8x8 pixels, 4x8 bytes.
const u8 tiles_68[4 * 8] = {
	0xf4, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xf0,
	0xf0, 0xf0, 0xfc, 0xfc,
	0xfc, 0xfc, 0xf4, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf4,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xfc,
	0xfc, 0xf4, 0xf0, 0xf0
};

// Tile tiles_69: 8x8 pixels, 4x8 bytes.
const u8 tiles_69[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0x3c, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0
};

// Tile tiles_70: 8x8 pixels, 4x8 bytes.
const u8 tiles_70[4 * 8] = {
	0x3c, 0x3c, 0x3c, 0x3c,
	0x3c, 0x3c, 0x3c, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_71: 8x8 pixels, 4x8 bytes.
const u8 tiles_71[4 * 8] = {
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x3c,
	0x3c, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_72: 8x8 pixels, 4x8 bytes.
const u8 tiles_72[4 * 8] = {
	0xa5, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0xf0,
	0xf0, 0xf0, 0x0f, 0x0f,
	0x0f, 0x0f, 0xa5, 0xf0,
	0xf0, 0xf0, 0xf0, 0xa5,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0x0f,
	0x0f, 0xa5, 0xf0, 0xf0
};

// Tile tiles_73: 8x8 pixels, 4x8 bytes.
const u8 tiles_73[4 * 8] = {
	0xf0, 0xf0, 0x0f, 0x0f,
	0x0f, 0x0f, 0xf0, 0xf0,
	0xf0, 0xf0, 0x0f, 0x0f,
	0x0f, 0x0f, 0xf0, 0xf0,
	0xf0, 0xf0, 0x0f, 0x0f,
	0x0f, 0x0f, 0xf0, 0xf0,
	0xf0, 0xf0, 0x0f, 0x0f,
	0x0f, 0x0f, 0xf0, 0xf0
};

// Tile tiles_74: 8x8 pixels, 4x8 bytes.
const u8 tiles_74[4 * 8] = {
	0x0f, 0x0f, 0xf0, 0xf0,
	0xf0, 0xf0, 0x0f, 0x0f,
	0x0f, 0x0f, 0xf0, 0xf0,
	0xf0, 0xf0, 0x0f, 0x0f,
	0x0f, 0x0f, 0xf0, 0xf0,
	0xf0, 0xf0, 0x0f, 0x0f,
	0x0f, 0x0f, 0xf0, 0xf0,
	0xf0, 0xf0, 0x0f, 0x0f
};

// Tile tiles_75: 8x8 pixels, 4x8 bytes.
const u8 tiles_75[4 * 8] = {
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_76: 8x8 pixels, 4x8 bytes.
const u8 tiles_76[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f,
	0x0f, 0x0f, 0x0f, 0x0f
};

// Tile tiles_77: 8x8 pixels, 4x8 bytes.
const u8 tiles_77[4 * 8] = {
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

// Tile tiles_78: 8x8 pixels, 4x8 bytes.
const u8 tiles_78[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc,
	0xfc, 0xfc, 0xfc, 0xfc
};

// Tile tiles_79: 8x8 pixels, 4x8 bytes.
const u8 tiles_79[4 * 8] = {
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0,
	0xf0, 0xf0, 0xf0, 0xf0
};

